diff --git a/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_og/LdapAuthorizationConsumerOG.class.php b/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_og/LdapAuthorizationConsumerOG.class.php
index 62c03724..913d2a95 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_og/LdapAuthorizationConsumerOG.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_og/LdapAuthorizationConsumerOG.class.php
@@ -558,26 +383,19 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
       }
       $consumer_ids_log .= $log;
     }
-    
+
     $watchdog_tokens['%consumer_ids_log'] = $consumer_ids_log;
-    
+
     /**
      * Step #2: from array of form:
-     *   og1.5: $og_actions['grants'|'revokes'][$gid][$rid]\
-     *   og2:   $og_actions['grants'|'revokes'][$entity_type][$gid][$rid]
+     *   $og_actions['grants'|'revokes'][$entity_type][$gid][$rid]
      * - generate $user->data['ldap_authorizations'][<consumer_id>]
      * - remove and grant og memberships
      * - remove and grant og roles
      * - flush appropriate caches
      */
-    if ($this->ogVersion == 1) {
-      $this->og1Grants($og_actions, $user, $user_auth_data);
-      $this->og1Revokes($og_actions, $user, $user_auth_data);
-    }
-    else {
-      $this->og2Grants($og_actions, $user, $user_auth_data);
-      $this->og2Revokes($og_actions, $user, $user_auth_data); 
-    }
+    $this->og2Grants($og_actions, $user, $user_auth_data);
+    $this->og2Revokes($og_actions, $user, $user_auth_data);
 
     $user_edit = array('data' => $user->data);
     $user_edit['data']['ldap_authorizations'][$this->consumerType] = $user_auth_data;
@@ -588,7 +406,8 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
     $user = user_load($user->uid, TRUE);
     $user = user_save($user, $user_edit);
 
-    $user_auth_data = $user->data['ldap_authorizations'][$this->consumerType];  // reset this variable because user save hooks can impact it.
+    // Reset this variable because user save hooks can impact it.
+    $user_auth_data = $user->data['ldap_authorizations'][$this->consumerType];
 
     $this->flushRelatedCaches($consumers, $user);
 
@@ -600,43 +419,26 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
     }
   }
 
-  public function og1Grants($og_actions, &$user, &$user_auth_data) {
-    foreach ($og_actions['grants'] as $gid => $rids) {
-      $existing_roles = og_get_user_roles($gid, $user->uid);
-      if (!in_array($this->defaultMembershipRid, array_values($existing_roles))) {
-        $user->{OG_AUDIENCE_FIELD}[LANGUAGE_NONE][] = array('gid' => $gid);
-        og_entity_presave($user, 'user');
-        $consumer_id = ldap_authorization_og_authorization_id($gid, $this->defaultMembershipRid);
-        $user_auth_data[$consumer_id] = array(
-          'date_granted' => time(),
-          'consumer_id_mixed_case' => $consumer_id,
-        );
-      }
-      foreach ($rids as $rid) {
-        if ($rid != $this->defaultMembershipRid && $rid != $this->anonymousRid) {
-          og_role_grant($gid, $user->uid, $rid);
-          $consumer_id = ldap_authorization_og_authorization_id($gid, $rid);
-          $user_auth_data[$consumer_id] = array(
-            'date_granted' => time(),
-            'consumer_id_mixed_case' => $consumer_id,
-            );
-        }
-      }
-    }
-  }
-
+  /**
+   *
+   */
   public function og2Grants($og_actions, &$user, &$user_auth_data) {
     foreach ($og_actions['grants'] as $group_entity_type => $gids) {
-      foreach ($gids as $gid => $granting_rids) { // all rids ldap believes user should be granted and attributed to ldap
-        $all_group_roles = og_roles($group_entity_type, FALSE, $gid, FALSE, TRUE); // all roles rid => role_name array w/ authen or anon roles
+      // All rids ldap believes user should be granted and attributed to ldap.
+      foreach ($gids as $gid => $granting_rids) {
+        // All roles rid => role_name array w/ authen or anon roles.
+        $all_group_roles = og_roles($group_entity_type, FALSE, $gid, FALSE, TRUE);
         $authenticated_rid = array_search(OG_AUTHENTICATED_ROLE, $all_group_roles);
         $anonymous_rid = array_search(OG_ANONYMOUS_ROLE, $all_group_roles);
-        $all_group_rids = array_keys($all_group_roles); // all rids array w/ authen or anon rids
-        $users_group_rids = array_keys(og_get_user_roles($group_entity_type, $gid, $user->uid, TRUE)); // users current rids w/authen or anon roles returned
+        // All rids array w/ authen or anon rids.
+        $all_group_rids = array_keys($all_group_roles);
+        // Users current rids w/authen or anon roles returned.
+        $users_group_rids = array_keys(og_get_user_roles($group_entity_type, $gid, $user->uid, TRUE));
         $users_group_rids = array_diff($users_group_rids, array($anonymous_rid));
-        $new_rids = array_diff($granting_rids, $users_group_rids, array($anonymous_rid)); // rids to be added without anonymous rid
+        // Rids to be added without anonymous rid.
+        $new_rids = array_diff($granting_rids, $users_group_rids, array($anonymous_rid));
 
-        // if adding OG_AUTHENTICATED_ROLE or any other role and does not currently have OG_AUTHENTICATED_ROLE, group
+        // If adding OG_AUTHENTICATED_ROLE or any other role and does not currently have OG_AUTHENTICATED_ROLE, group.
         if (!in_array($authenticated_rid, $users_group_rids) && count($new_rids) > 0) {
           $values = array(
             'entity_type' => 'user',
@@ -650,14 +452,15 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
             'date_granted' => time(),
             'consumer_id_mixed_case' => $consumer_id,
           );
-          $new_rids = array_diff($new_rids, array($authenticated_rid)); // granted on membership creation
-         
+          // Granted on membership creation.
+          $new_rids = array_diff($new_rids, array($authenticated_rid));
+
         }
         foreach ($new_rids as $i => $rid) {
           og_role_grant($group_entity_type, $gid, $user->uid, $rid);
         }
         foreach ($granting_rids as $i => $rid) {
-          // attribute to ldap regardless of if is being granted.
+          // Attribute to ldap regardless of if is being granted.
           $consumer_id = join(':', array($group_entity_type, $gid, $rid));
           $user_auth_data[$consumer_id] = array(
             'date_granted' => time(),
@@ -667,60 +470,37 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
       }
     }
   }
-  
-  
-  public function og1Revokes($og_actions, &$user, &$user_auth_data) {
-    $group_audience_gids = empty($user->{OG_AUDIENCE_FIELD}[LANGUAGE_NONE]['gid']) ? array() : $user->{OG_AUDIENCE_FIELD}[LANGUAGE_NONE]['gid'];
-    foreach ($og_actions['revokes'] as $gid => $rids) {
-      $existing_roles = og_get_user_roles($gid, $user->uid);
-      if (in_array($this->defaultMembershipRid, array_values($existing_roles))) {
-        // ungroup and set audience
-        foreach ($group_audience_gids as $i => $_audience_gid) {
-           if ($_audience_gid == $gid) {
-             unset($user->{OG_AUDIENCE_FIELD}[LANGUAGE_NONE][$i]);
-           }
-        }
-        og_entity_presave($user, 'user');
-        $user = og_ungroup($gid, 'user', $user, TRUE);
-        foreach (array_values($existing_roles) as $rid) {
-          $consumer_id = ldap_authorization_og_authorization_id($gid, $rid);
-          if (isset($user_auth_data[$consumer_id])) {
-            unset($user_auth_data[$consumer_id]);
-          }
-        }
-      }
-      else {
-        foreach ($existing_roles as $rid) {
-          if ($rid != $this->defaultMembershipRid && $this->defaultMembershipRid != 1) {
-            og_role_revoke($gid, $user->uid, $rid);
-            unset($user_auth_data[ldap_authorization_og_authorization_id($gid, $rid)]);
-          }
-        }
-      }
-    }
-  }
-  
+
+  /**
+   *
+   */
   public function og2Revokes($og_actions, &$user, &$user_auth_data) {
     foreach ($og_actions['revokes'] as $group_entity_type => $gids) {
-      foreach ($gids as $gid => $revoking_rids) { // $revoking_rids are all rids to be removed.  may include authen rids
-        $all_group_roles = og_roles($group_entity_type, FALSE, $gid, FALSE, TRUE); // all roles rid => role_name array w/ authen or anon roles
-        $all_group_rids = array_keys($all_group_roles); // all rids array w/ authen or anon rids
-        $users_group_rids = array_keys(og_get_user_roles($group_entity_type, $gid, $user->uid, TRUE)); // users current rids w/authen or anon roles returned
-        $remaining_rids = array_diff($users_group_rids, $revoking_rids); // rids to be left at end of revoke process
+      // $revoking_rids are all rids to be removed.  may include authen rids.
+      foreach ($gids as $gid => $revoking_rids) {
+        // All roles rid => role_name array w/ authen or anon roles.
+        $all_group_roles = og_roles($group_entity_type, FALSE, $gid, FALSE, TRUE);
+        // All rids array w/ authen or anon rids.
+        $all_group_rids = array_keys($all_group_roles);
+        // Users current rids w/authen or anon roles returned.
+        $users_group_rids = array_keys(og_get_user_roles($group_entity_type, $gid, $user->uid, TRUE));
+        // Rids to be left at end of revoke process.
+        $remaining_rids = array_diff($users_group_rids, $revoking_rids);
         $authenticated_rid = array_search(OG_AUTHENTICATED_ROLE, $all_group_roles);
-        // remove autenticated and anon rids here
+        // Remove autenticated and anon rids here.
         foreach ($revoking_rids as $i => $rid) {
-          // revoke if user has role
+          // Revoke if user has role.
           if (in_array($rid, $users_group_rids)) {
             og_role_revoke($group_entity_type, $gid, $user->uid, $rid);
           }
-          // unattribute to ldap even if user does not currently have role
+          // Unattribute to ldap even if user does not currently have role.
           unset($user_auth_data[ldap_authorization_og_authorization_id($gid, $rid, $group_entity_type)]);
         }
         // define('OG_ANONYMOUS_ROLE', 'non-member'); define('OG_AUTHENTICATED_ROLE', 'member');
-        if (in_array($authenticated_rid, $revoking_rids) || count($remaining_rids) == 0) {  // ungroup if only authenticated and anonymous role left
+        // ungroup if only authenticated and anonymous role left.
+        if (in_array($authenticated_rid, $revoking_rids) || count($remaining_rids) == 0) {
           $entity = og_ungroup($group_entity_type, $gid, 'user', $user->uid);
-          $result = (boolean)($entity);
+          $result = (boolean) ($entity);
         }
       }
     }
@@ -729,55 +509,40 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
   /**
    * @see ldapAuthorizationConsumerAbstract::usersAuthorizations
    */
-
   public function usersAuthorizations(&$user, $reset = FALSE, $return_data = TRUE) {
 
     static $users;
     if (!is_array($users)) {
-      $users = array(); // no cache exists, create static array
+      // No cache exists, create static array.
+      $users = array();
     }
     elseif ($reset && isset($users[$user->uid])) {
-      unset($users[$user->uid]); // clear users cache
+      // Clear users cache.
+      unset($users[$user->uid]);
     }
     elseif (!$return_data) {
-      return NULL; // simply clearing cache
+      // Simply clearing cache.
+      return NULL;
     }
     elseif (!empty($users[$user->uid])) {
-      return $users[$user->uid]; // return cached data
+      // Return cached data.
+      return $users[$user->uid];
     }
 
     $authorizations = array();
 
-    if ($this->ogVersion == 1) {
-      $gids = og_get_groups_by_user($user);
-      foreach ($gids as $i => $gid) {
-        $roles = og_get_user_roles($gid, $user->uid);
-        if (!empty($roles[$this->defaultMembershipRid])) { // if you aren't a member, doesn't matter what roles you have in og 1.5
-          if (isset($roles[$this->anonymousRid])) {
-            unset($roles[$this->anonymousRid]);
-          } // ignore anonymous role
-          $rids = array_values($roles);
-          asort($rids, SORT_NUMERIC); // go low to high to get default memberships first
-          foreach ($rids as $rid) {
-            $authorizations[] = ldap_authorization_og_authorization_id($gid, $rid);
-          }
-        }
-      }
-    }
-    else { // og 7.x-2.x
-      $user_entities = entity_load('user', array($user->uid));
-      $memberships = og_get_entity_groups('user', $user_entities[$user->uid]);
-      foreach ($memberships as $entity_type => $entity_memberships) {
-        foreach ($entity_memberships as $og_membership_id => $gid) {
-          $roles = og_get_user_roles($entity_type, $gid, $user->uid);
-          foreach ($roles as $rid => $discard) {
-            $authorizations[] =  ldap_authorization_og_authorization_id($gid, $rid, $entity_type);
-          }
+    $user_entities = entity_load('user', array($user->uid));
+    $memberships = og_get_entity_groups('user', $user_entities[$user->uid]);
+    foreach ($memberships as $entity_type => $entity_memberships) {
+      foreach ($entity_memberships as $og_membership_id => $gid) {
+        $roles = og_get_user_roles($entity_type, $gid, $user->uid);
+        foreach ($roles as $rid => $discard) {
+          $authorizations[] = ldap_authorization_og_authorization_id($gid, $rid, $entity_type);
         }
       }
     }
     $users[$user->uid] = $authorizations;
-    
+
     return $authorizations;
   }
 
@@ -796,8 +561,7 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
    * @see ldapAuthorizationConsumerAbstract::validateAuthorizationMappingTarget
    */
   public function validateAuthorizationMappingTarget($mapping, $form_values = NULL, $clear_cache = FALSE) {
-    // these mappings have already been through the normalizeMappings() method, so no real querying needed here.
-
+    // These mappings have already been through the normalizeMappings() method, so no real querying needed here.
     $has_form_values = is_array($form_values);
     $message_type = NULL;
     $message_text = NULL;
@@ -812,83 +576,59 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
         '!from' => $mapping['from'],
         '!user_entered' => $mapping['user_entered'],
         '!error' => $mapping['error_message'],
-        );
+      );
       $message_text = '<code>"' . t('!map_to|!user_entered', $tokens) . '"</code> ' . t('has the following error: !error.', $tokens);
     }
     return array($message_type, $message_text);
   }
 
   /**
-   * Get list of mappings based on existing Organic Groups and roles
+   * Get list of mappings based on existing Organic Groups and roles.
+   *
+   * @param array $tokens
+   *   Array of tokens and replacement values.
    *
-   * @param associative array $tokens of tokens and replacement values
-   * @return html examples of mapping values
+   * @return
+   *   HTML examples of mapping values.
    */
-
   public function mappingExamples($tokens) {
+    /**
+     * OG 7.x-2.x mappings:
+     * $entity_type = $group_type,
+     * $bundle = $group_bundle
+     * $etid = $gid where edid is nid, uid, etc.
+     *
+     * og group is: entity_type (eg node) x entity_id ($gid) eg. node:17
+     * group identifier = group_type:gid; aka entity_type:etid e.g. node:17
+     *
+     * membership identifier is:  group_type:gid:entity_type:etid
+     * in our case: group_type:gid:user:uid aka entity_type:etid:user:uid e.g. node:17:user:2
+     *
+     * roles are simply rids ((1,2,3) and names (non-member, member, and administrator member) in og_role table
+     * og_users_roles is simply uid x rid x gid
+     *
+     * .. so authorization mappings should look like:
+     *    <ldap group>|group_type:gid:rid such as staff|node:17:2
+     */
 
-    if ($this->ogVersion == 1) {
-      $groups = og_get_all_group();
-      $ogEntities = og_load_multiple($groups);
-      $OGroles = og_roles(0);
-
-      $rows = array();
-      foreach ($ogEntities as $group) {
-        foreach ($OGroles as $rid => $role) {
-          $example =   "<code>ou=IT,dc=myorg,dc=mytld,dc=edu|gid=" . $group->gid . ',rid=' . $rid . '</code><br/>' .
-            '<code>ou=IT,dc=myorg,dc=mytld,dc=edu|group-name=' . $group->label . ',role-name=' . $role . '</code>';
-          $rows[] = array(
-            $group->label,
-            $group->gid,
-            $role,
-            $example,
-          );
-        }
-      }
-
-      $variables = array(
-      'header' => array('Group Name', 'OG Group ID', 'OG Membership Type', 'example'),
-      'rows' => $rows,
-      'attributes' => array(),
-      );
-    }
-    else {
+    $og_fields = field_info_field(OG_GROUP_FIELD);
+    $rows = array();
+    $role_name = OG_AUTHENTICATED_ROLE;
 
-      /**
-       * OG 7.x-2.x mappings:
-       * $entity_type = $group_type,
-       * $bundle = $group_bundle
-       * $etid = $gid where edid is nid, uid, etc.
-       *
-       * og group is: entity_type (eg node) x entity_id ($gid) eg. node:17
-       * group identifier = group_type:gid; aka entity_type:etid e.g. node:17
-       *
-       * membership identifier is:  group_type:gid:entity_type:etid
-       * in our case: group_type:gid:user:uid aka entity_type:etid:user:uid e.g. node:17:user:2
-       *
-       * roles are simply rids ((1,2,3) and names (non-member, member, and administrator member) in og_role table
-       * og_users_roles is simply uid x rid x gid
-       *
-       * .. so authorization mappings should look like:
-       *    <ldap group>|group_type:gid:rid such as staff|node:17:2
-       */
-
-      $og_fields = field_info_field(OG_GROUP_FIELD);
-      $rows = array();
-      $role_name = OG_AUTHENTICATED_ROLE;
-
-      if (!empty($og_fields['bundles'])) {
-        foreach ($og_fields['bundles'] as $entity_type => $bundles) {
-          foreach ($bundles as $i => $bundle) {
-            $query = new EntityFieldQuery();
-            $query->entityCondition('entity_type', $entity_type)
-              ->entityCondition('bundle', $bundle)
-              ->range(0, 5)
-              ->addMetaData('account', user_load(1)); // run the query as user 1
-            $result = $query->execute();
-            if (!empty($result)) {
-              $entities = entity_load($entity_type, array_keys($result[$entity_type]));
-              $i=0;
+    if (!empty($og_fields['bundles'])) {
+      foreach ($og_fields['bundles'] as $entity_type => $bundles) {
+        foreach ($bundles as $i => $bundle) {
+          $query = new EntityFieldQuery();
+          $query->entityCondition('entity_type', $entity_type)
+            ->entityCondition('bundle', $bundle)
+            ->range(0, 5)
+          // Run the query as user 1.
+            ->addMetaData('account', user_load(1));
+          $result = $query->execute();
+          if (!empty($result)) {
+            $entities = entity_load($entity_type, array_keys($result[$entity_type]));
+            $i = 0;
+            if ($entities) {
               foreach ($entities as $entity_id => $entity) {
                 $i++;
                 $rid = ldap_authorization_og2_rid_from_role_name($entity_type, $bundle, $entity_id, OG_AUTHENTICATED_ROLE);
@@ -896,25 +636,25 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
                 $middle = ($title && $i < 3) ? $title : $entity_id;
                 $group_role_identifier = ldap_authorization_og_authorization_id($middle, $rid, $entity_type);
                 $example = "<code>ou=IT,dc=myorg,dc=mytld,dc=edu|$group_role_identifier</code>";
-                $rows[] = array("$entity_type $title - $role_name", $example);
+                $rows[] = ["$entity_type $title - $role_name", $example];
               }
             }
           }
         }
       }
-
-      $variables = array(
-        'header' => array('Group Entity - Group Title - OG Membership Type', 'example'),
-        'rows' => $rows,
-        'attributes' => array(),
-      );
     }
 
+    $variables = array(
+      'header' => array('Group Entity - Group Title - OG Membership Type', 'example'),
+      'rows' => $rows,
+      'attributes' => array(),
+    );
+
     $table = theme('table', $variables);
     $link = l(t('admin/config/people/ldap/authorization/test/og_group'), 'admin/config/people/ldap/authorization/test/og_group');
 
-$examples =
-<<<EOT
+    $examples =
+    <<<EOT
 
 <br/>
 Examples for some (or all) existing OG Group IDs can be found in the table below.
diff --git a/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_og/ldap_authorization_og.info b/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_og/ldap_authorization_og.info
index 54da349d..499cbb6b 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_og/ldap_authorization_og.info
+++ b/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_og/ldap_authorization_og.info
@@ -13,9 +13,8 @@ files[] = ldap_authorization_og.inc
 
 core = "7.x"
 
-; Information added by Drupal.org packaging script on 2017-08-27
-version = "7.x-2.3"
+; Information added by Drupal.org packaging script on 2018-08-13
+version = "7.x-2.4"
 core = "7.x"
 project = "ldap"
-datestamp = "1503841448"
-
+datestamp = "1534201086"
